=head1 NAME

Gtk2::SizeGroup

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::SizeGroup



=cut

=head1 INTERFACES

  Gtk2::Buildable



=cut


=head1 METHODS

=head2 sizegroup = Gtk2::SizeGroup-E<gt>B<new> ($mode)

=over

=item * $mode (Gtk2::SizeGroupMode) 

=back

=head2 $size_group-E<gt>B<add_widget> ($widget)

=over

=item * $widget (Gtk2::Widget) 

=back

=head2 boolean = $size_group-E<gt>B<get_ignore_hidden> 

Since: gtk+ 2.8

=head2 $size_group-E<gt>B<set_ignore_hidden> ($ignore_hidden)

=over

=item * $ignore_hidden (boolean) 

=back

Since: gtk+ 2.8

=head2 sizegroupmode = $size_group-E<gt>B<get_mode> 

=head2 $size_group-E<gt>B<set_mode> ($mode)

=over

=item * $mode (Gtk2::SizeGroupMode) 

=back

=head2 $size_group-E<gt>B<remove_widget> ($widget)

=over

=item * $widget (Gtk2::Widget) 

=back

=head2 list = $size_group-E<gt>B<get_widgets> 

Since: gtk+ 2.10



=cut


=head1 PROPERTIES

=over

=item 'ignore-hidden' (boolean : default false : readable / writable / private)

If TRUE, unmapped widgets are ignored when determining the size of the group

=item 'mode' (Gtk2::SizeGroupMode : default "horizontal" : readable / writable / private)

The directions in which the size group affects the requested sizes of its component widgets

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::SizeGroupMode



=over

=item * 'none' / 'GTK_SIZE_GROUP_NONE'

=item * 'horizontal' / 'GTK_SIZE_GROUP_HORIZONTAL'

=item * 'vertical' / 'GTK_SIZE_GROUP_VERTICAL'

=item * 'both' / 'GTK_SIZE_GROUP_BOTH'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

